View Issue Details

IDProjectCategoryView StatusLast Update
0000543bareos-core[All Projects] webuipublic2016-02-17 17:05
ReportermhondiwaAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformBSDOSFreeBSDOS Version10.2
Product Version 
Fixed in Version 
Summary0000543: Error: API 2 not available on director. Please upgrade to version 15.2.1 or greater and/or compile with jansson support.
DescriptionGreetings, I have just downloaded and installed the latest bareos-webui-master.zip from github.com/bareos/bareos-webui.

These are the contents of my /usr/local/etc/bareos/bareos-dir.conf
------
@/usr/local/etc/bareos/bareos-dir.d/webui-consoles.conf
@/usr/local/etc/bareos/bareos-dir.d/webui-profiles.conf
------

After login into the Webui i get the following error, even after restarting the system.

"Error: API 2 not available on director. Please upgrade to version 15.2.1 or greater and/or compile with jansson support."

Additional Informationdevel/jansson is installed
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionnone
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionnone
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action

Activities

mhondiwa

mhondiwa

2015-10-23 15:03

reporter   ~0001887

OS FreeBSD version 10.2
joergs

joergs

2015-10-23 15:58

developer   ~0001888

You have to compile it, with (lib)jansson installed on your system, see configure output.
emmanuel.polet

emmanuel.polet

2015-11-24 16:19

reporter   ~0002013

Hi everyone !
I've got the exact same problem ; fresh install of bareos 15.2.1 from ports on a freebsd 10.2. Webui 15.2.2 installed from source. After login, here is what appears on screen :

*************
Error: API 2 not available on director. Please upgrade to version 15.2.1 or greater and/or compile with jansson support.
*************

joergs > What do you mean by "you have to compile it" ; to compile what ?

And btw jansson is installed on my system.

Any help would be much appreciated !
Thank you very much !

Emmanuel
joergs

joergs

2015-11-24 16:27

developer   ~0002014

I've no knowledge about (Free)BSD, but configure must have jansson support, so output of configure should contain:

JANSSON support: yes

On Linux jansson is autodetected, if it is installed.
However, there is a configure option for it:
configure
--with-jansson[=DIR] Directory holding jansson includes/libs
emmanuel.polet

emmanuel.polet

2015-11-24 17:08

reporter   ~0002015

Last edited: 2015-11-24 17:17

View 2 revisions

Ok, I've got the JANSSON support: yes in my configure output ; however it won't install : make install would end with a report

c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/sysutils/bareos-server/work/bareos-bb1529f88585da31a0053f06727c74f2a7cb0dc1/src/dird


  ====== Error in /usr/ports/sysutils/bareos-server/work/bareos-bb1529f88585da31a0053f06727c74f2a7cb0dc1/src/dird ======


*** Error code 1

Stop.
make[2]: stopped in /usr/ports/sysutils/bareos-server/work/bareos-bb1529f88585da31a0053f06727c74f2a7cb0dc1
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/sysutils/bareos-server
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/bareos-server

any hint ?

hege

hege

2015-12-01 13:19

reporter   ~0002023

Check bug 574, it's probably preventing detecting jansson
jedfrechette

jedfrechette

2015-12-17 19:22

reporter   ~0002038

I'm seeing the same "Error: API 2" message using the Debian 7.0 packages from download.bareos.org. The libjansson4 package is also installed.
joergs

joergs

2015-12-17 19:32

developer   ~0002039

When do you see this message?

Please start "bconsole" and type

.api json

to check, if the bareos-director supports json output.
jedfrechette

jedfrechette

2015-12-17 20:19

reporter   ~0002040

As in the original report I get the Error message after login when attempting to load: http://mybareosserver/bareos-webui/dashboard/

Running .api json from bconsole reports:

{
"result": {"api": 2},
"jsonrpc": "2.0",
"id": null
}
Andreas Niemand

Andreas Niemand

2016-01-29 07:24

reporter   ~0002170

I am having the same problem.
FreeBSD 10.2.
jansson installed from ports (v2.7.1)
Andreas Niemand

Andreas Niemand

2016-01-29 08:12

reporter   ~0002171

Reproductible behaviour: all FreeBSD 10.2, latest ports
No prior jansson install: bareos-server 15.2.2_1 make install clean succeeds, but without jansson support
Prior jansson install via ports version 2.7_1: bareos-server 15.2.2_1 fails to make.
Andreas Niemand

Andreas Niemand

2016-01-29 09:29

reporter   ~0002172

Please also see:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=206731
Andreas Niemand

Andreas Niemand

2016-02-01 09:05

reporter   ~0002175

For FreeBSD a solution is there. Look here:
bareos-server 15.2.2_2 from ports and bareos-webui from ports now work together with jansson.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=206731

Issue History

Date Modified Username Field Change
2015-10-23 15:01 mhondiwa New Issue
2015-10-23 15:01 mhondiwa Status new => assigned
2015-10-23 15:01 mhondiwa Assigned To => frank
2015-10-23 15:03 mhondiwa Note Added: 0001887
2015-10-23 15:58 joergs Note Added: 0001888
2015-11-24 16:19 emmanuel.polet Note Added: 0002013
2015-11-24 16:25 joergs bareos-master: impact => yes
2015-11-24 16:25 joergs bareos-master: action => none
2015-11-24 16:25 joergs bareos-15.2: impact => yes
2015-11-24 16:25 joergs bareos-15.2: action => none
2015-11-24 16:25 joergs bareos-14.2: impact => no
2015-11-24 16:25 joergs bareos-13.2: impact => no
2015-11-24 16:25 joergs bareos-12.4: impact => no
2015-11-24 16:25 joergs OS => FreeBSD
2015-11-24 16:25 joergs OS Version => 10.2
2015-11-24 16:25 joergs Platform => BSD
2015-11-24 16:27 joergs Note Added: 0002014
2015-11-24 17:08 emmanuel.polet Note Added: 0002015
2015-11-24 17:17 emmanuel.polet Note Edited: 0002015 View Revisions
2015-12-01 13:19 hege Note Added: 0002023
2015-12-17 19:22 jedfrechette Note Added: 0002038
2015-12-17 19:32 joergs Note Added: 0002039
2015-12-17 19:32 joergs Status assigned => feedback
2015-12-17 20:19 jedfrechette Note Added: 0002040
2016-01-29 07:24 Andreas Niemand Note Added: 0002170
2016-01-29 08:12 Andreas Niemand Note Added: 0002171
2016-01-29 09:29 Andreas Niemand Note Added: 0002172
2016-02-01 09:05 Andreas Niemand Note Added: 0002175
2016-02-17 17:04 frank Status feedback => closed
2016-02-17 17:05 frank Assigned To frank =>
2016-02-17 17:05 frank Resolution open => fixed